import * as React from 'react';
import { ICivicVariantSummary } from 'cbioportal-utils';
import './civicCard.scss';
export interface ICivicCardProps {
    title: string;
    geneName: string;
    geneDescription: string;
    geneUrl: string;
    variants: {
        [name: string]: ICivicVariantSummary;
    };
}
export default class CivicCard extends React.Component<ICivicCardProps, {}> {
    /**
     * Generate variants
     * @param variantMap
     * @returns {JSX.Element[]}
     */
    generateVariants(variantMap: {
        [name: string]: ICivicVariantSummary;
    }): JSX.Element[];
    /**
     * Get variant item
     * @param url
     * @param name
     * @param entryTypes
     * @param description
     * @returns {any}
     */
    variantItem(key: string, url?: string, name?: string, entryTypes?: string, description?: string): JSX.Element;
    /**
     * Render civic card component
     * @returns {any}
     */
    render(): JSX.Element;
}
