import * as React from 'react';
import 'rc-tooltip/assets/bootstrap_white.css';
import { IExtendedSignalMutation, Mutation, RemoteData, Pathogenicity } from 'cbioportal-utils';
import { VariantAnnotation } from 'genome-nexus-ts-api-client';
declare type SignalProps = {
    mutation: Mutation;
    indexedVariantAnnotations?: RemoteData<{
        [genomicLocation: string]: VariantAnnotation;
    } | undefined>;
    mutationType?: Pathogenicity;
};
declare type SignalValueProps = SignalProps & {
    significantDigits?: number;
};
export declare function getSignalData(mutation: Mutation, indexedVariantAnnotations?: RemoteData<{
    [genomicLocation: string]: VariantAnnotation;
} | undefined>, mutationType?: Pathogenicity): IExtendedSignalMutation[];
export declare function signalSortMethod(a: IExtendedSignalMutation, b: IExtendedSignalMutation): number;
export declare function getSortValue(signalData: IExtendedSignalMutation): number | null;
export declare function download(signalData: IExtendedSignalMutation, mutationType?: Pathogenicity): string;
export declare function getSingleSignalValue(mutation: Mutation, mutationType: Pathogenicity, indexedVariantAnnotations?: RemoteData<{
    [genomicLocation: string]: VariantAnnotation;
} | undefined>, significantDigits?: number): number | null;
export declare const SignalTable: React.FunctionComponent<SignalValueProps>;
export default class Signal extends React.Component<SignalProps, {}> {
    render(): JSX.Element;
}
export {};
