import { Option } from 'cbioportal-frontend-commons';
import * as React from 'react';
import { DataFilter } from '../../model/DataFilter';
export declare type DropdownSelectorProps = {
    name?: string;
    placeholder?: string;
    onSelect?: (selectedOptionIds: string[], allValuesSelected?: boolean) => void;
    showControls?: boolean;
    showNumberOfSelectedValues?: boolean;
    selectionIndicatorClassNames?: {
        base: string;
        allSelected: string;
        partiallySelected: string;
    };
    filter?: DataFilter<string>;
    options?: {
        label?: string | JSX.Element;
        value: string;
    }[];
};
export declare class DropdownSelector extends React.Component<DropdownSelectorProps, {}> {
    static defaultProps: Partial<DropdownSelectorProps>;
    constructor(props: DropdownSelectorProps);
    get allValues(): string[];
    get selectedValues(): {
        value: string;
    }[];
    get options(): Option[];
    get selectionIndicatorClassNames(): string;
    get components(): {
        IndicatorsContainer: (props: any) => JSX.Element;
    } | undefined;
    render(): JSX.Element;
    protected indicatorsContainer: (props: any) => JSX.Element;
    private onChange;
}
export default DropdownSelector;
