import * as React from 'react';
import { BadgeSelectorOption, BadgeSelectorProps } from './BadgeSelector';
export declare type MutationStatusBadgeSelectorProps = BadgeSelectorProps & {
    rates?: {
        [mutationStatus: string]: number;
    };
    badgeSelectorOptions?: BadgeSelectorOption[];
};
export declare const MUTATION_STATUS_BADGE_STYLE_OVERRIDE: {
    color: string;
    backgroundColor: string;
    borderColor: string;
};
export declare function getMutationStatusFilterOptions(): {
    value: string;
    label: string;
    badgeStyleOverride: {
        color: string;
        backgroundColor: string;
        borderColor: string;
    };
    badgeStyleSelectedOverride: {
        color: string;
        backgroundColor: string;
        borderColor: string;
    };
}[];
export declare class MutationStatusBadgeSelector extends React.Component<MutationStatusBadgeSelectorProps, {}> {
    constructor(props: any);
    static defaultProps: Partial<MutationStatusBadgeSelectorProps>;
    get options(): {
        badgeContent: string | undefined;
        value: string;
        label?: string | JSX.Element | undefined;
        badgeStyleOverride?: React.CSSProperties | undefined;
        badgeStyleSelectedOverride?: React.CSSProperties | undefined;
    }[];
    render(): JSX.Element;
}
export default MutationStatusBadgeSelector;
