import { Option, ProteinImpactType } from 'cbioportal-frontend-commons';
import * as React from 'react';
import { CSSProperties } from 'react';
import { IProteinImpactTypeColors } from '../../model/ProteinImpact';
import { BadgeSelectorOption, BadgeSelectorProps } from './BadgeSelector';
export declare type ProteinImpactTypeBadgeSelectorProps = BadgeSelectorProps & {
    colors: IProteinImpactTypeColors;
    counts?: {
        [proteinImpactType: string]: number;
    };
    excludedProteinTypes?: string[];
    groupIndex?: number;
    groupNameWithOrdinal?: string;
    height?: number;
};
export declare function getProteinImpactTypeOptionLabel(option: Option): JSX.Element;
export declare function getProteinImpactTypeBadgeLabel(option: BadgeSelectorOption, selectedValues: {
    [optionValue: string]: any;
}, badgeClassName?: string, badgeAlignmentStyle?: CSSProperties, isDriverAnnotated?: boolean, badgeLabelFormat?: (label: JSX.Element | string, badgeFirst?: boolean, value?: string, badge?: JSX.Element | null) => JSX.Element, badgeFirst?: boolean): JSX.Element;
export declare class ProteinImpactTypeBadgeSelector<P extends ProteinImpactTypeBadgeSelectorProps = ProteinImpactTypeBadgeSelectorProps> extends React.Component<P, {}> {
    constructor(props: any);
    static defaultProps: Partial<ProteinImpactTypeBadgeSelectorProps>;
    protected get optionDisplayValueMap(): {
        [proteinImpactType: string]: JSX.Element;
    };
    protected get proteinImpactTypeColors(): {
        [proteinImpactType: string]: string;
    };
    protected get options(): {
        value: ProteinImpactType;
        label: JSX.Element;
        badgeContent: number | undefined;
        badgeStyleOverride: {
            backgroundColor: string;
        };
    }[];
    render(): JSX.Element;
}
export default ProteinImpactTypeBadgeSelector;
