import * as React from 'react';
import { TrackDataStatus, TrackName, TrackVisibility } from '../track/TrackSelector';
import 'react-rangeslider/lib/index.css';
import { AxisScale } from './AxisScaleSwitch';
declare type LollipopMutationPlotControlsProps = {
    showControls: boolean;
    hugoGeneSymbol: string;
    countRange: [number, number];
    bottomCountRange?: [number, number];
    onYAxisMaxSliderChange: (event: any) => void;
    onYAxisMaxChange: (inputValue: string) => void;
    onBottomYAxisMaxSliderChange?: (event: any) => void;
    onBottomYAxisMaxChange?: (inputValue: string) => void;
    onYMaxInputFocused: () => void;
    onYMaxInputBlurred: () => void;
    onToggleLegend: () => void;
    yMaxSlider: number;
    yMaxSliderStep: number;
    yMaxSliderWidth: number;
    yMaxInput: number;
    yAxisSameScale?: boolean;
    bottomYMaxSlider?: number;
    bottomYMaxSliderStep: number;
    bottomYMaxInput?: number;
    customControls?: JSX.Element;
    filterResetPanel?: JSX.Element;
    tracks?: TrackName[];
    trackVisibility?: TrackVisibility;
    trackDataStatus?: TrackDataStatus;
    showTrackSelector?: boolean;
    showYMaxSlider?: boolean;
    showLegendToggle?: boolean;
    showDownloadControls?: boolean;
    onTrackVisibilityChange?: (selectedTrackIds: string[]) => void;
    getSVG: () => SVGElement;
    axisMode?: AxisScale;
    onScaleToggle?: (selectedScale: AxisScale) => void;
    showPercentToggle?: boolean;
};
export default class LollipopMutationPlotControls extends React.Component<LollipopMutationPlotControlsProps, {}> {
    constructor(props: any);
    static defaultProps: Partial<LollipopMutationPlotControlsProps>;
    get showBottomYAxisSlider(): number | false | undefined;
    protected maxValueSlider(countRange: [number, number], oppositeCountRange: [number, number], onYAxisMaxSliderChange: (event: any) => void, onYAxisMaxChange: (inputValue: string) => void, yMaxSlider: number, yMaxInput: number, yAxisSameScale?: boolean, label?: string, width?: number, yMaxSliderStep?: number): JSX.Element;
    protected get yMaxSlider(): JSX.Element;
    protected get bottomYMaxSlider(): JSX.Element | null;
    protected get trackSelector(): JSX.Element;
    protected get legendToggle(): JSX.Element;
    protected get downloadControls(): JSX.Element;
    protected get percentToggle(): JSX.Element;
    render(): JSX.Element;
}
export {};
