import * as React from 'react';
import DataStore from '../../model/DataStore';
import { SequenceSpec } from '../../model/SequenceSpec';
import { LollipopSpec } from '../../model/LollipopSpec';
import { DomainSpec } from '../../model/DomainSpec';
export declare type LollipopPlotProps = {
    sequence?: SequenceSpec;
    lollipops: LollipopSpec[];
    domains: DomainSpec[];
    vizWidth: number;
    vizHeight: number;
    xMax: number;
    yMax?: number;
    bottomYMax?: number;
    yMaxFractionDigits?: number;
    yMaxLabelPostfix?: string;
    yAxisLabelPadding?: number;
    showYAxis?: boolean;
    xAxisOnTop?: boolean;
    xAxisOnBottom?: boolean;
    groups?: string[];
    topYAxisSymbol?: string;
    bottomYAxisSymbol?: string;
    zeroStickBaseY?: boolean;
    hugoGeneSymbol?: string;
    dataStore?: DataStore;
    onXAxisOffset?: (offset: number) => void;
    yAxisLabelFormatter?: (symbol?: string, groupName?: string) => string;
};
export default class LollipopPlot extends React.Component<LollipopPlotProps, {}> {
    private hitZoneConfig;
    private mirrorVisible;
    private plot;
    private handlers;
    static defaultProps: Partial<LollipopPlotProps>;
    constructor(props: LollipopPlotProps);
    private get tooltipVisible();
    private get hitZone();
    private get mirrorHitZone();
    private onTooltipVisibleChange;
    toSVGDOMNode(): Element;
    render(): JSX.Element;
}
