/// <reference types="jquery" />
import * as React from 'react';
import { SyntheticEvent } from 'react';
import { LollipopPlotProps } from './LollipopPlot';
export declare type LollipopPlotNoTooltipProps = LollipopPlotProps & {
    setHitZone?: (hitRect: {
        x: number;
        y: number;
        width: number;
        height: number;
    }, tooltipContent?: JSX.Element, mirrorHitRect?: {
        x: number;
        y: number;
        width: number;
        height: number;
    }, mirrorTooltipContent?: JSX.Element, onMouseOver?: () => void, onClick?: () => void, onMouseOut?: () => void, cursor?: string, tooltipPlacement?: string) => void;
    onMouseLeave?: () => void;
    onBackgroundMouseMove?: () => void;
};
export default class LollipopPlotNoTooltip extends React.Component<LollipopPlotNoTooltipProps, {}> {
    private lollipopComponents;
    private domainComponents;
    private sequenceComponents;
    private svg;
    private shiftPressed;
    private lollipopLabelPadding;
    private domainPadding;
    private xAxisCandidateTickIntervals;
    private yAxisCandidateTickIntervals;
    private xAxisHeight;
    private yAxisWidth;
    private yAxisPadding;
    private geneHeight;
    private domainHeight;
    static defaultProps: Partial<LollipopPlotNoTooltipProps>;
    constructor(props: any);
    protected ref(svg: SVGElement): void;
    protected onBackgroundClick(): void;
    protected onBackgroundMouseMove(): void;
    protected onLollipopClick(codon: number): void;
    protected onKeyDown(e: JQueryKeyEventObject): void;
    protected onKeyUp(e: JQueryKeyEventObject): void;
    protected onMouseOver(e: SyntheticEvent<any>): void;
    protected onSVGMouseLeave(e: SyntheticEvent<any>): void;
    private unhoverAllLollipops;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    private codonToX;
    private countToHeight;
    private calculateTickInterval;
    private calculateTicks;
    private get xAxisTickInterval();
    private get yAxisTickInterval();
    private get bottomYAxisTickInterval();
    private get xTicks();
    private get yTicks();
    private get bottomYTicks();
    private get yMax();
    private get yMaxDisplay();
    private get yMaxPostfix();
    private get bottomYMax();
    private get bottomYMaxDisplay();
    private get yMaxLabel();
    private get bottomYMaxLabel();
    private get needBottomPlacement();
    private get xAxisOnTop();
    private get xAxisOnBottom();
    private get topGroupName();
    private get topGroupSymbol();
    private get bottomGroupName();
    private get bottomGroupSymbol();
    private get combinedXAxisHeight();
    private get yAxisHeight();
    private get xAxisY();
    private get geneCenterY();
    private get yAxisY();
    private get bottomYAxisY();
    private get plotAreaDistanceToGeneCenter();
    private get geneX();
    private get geneY();
    private get domainY();
    get sequenceSegments(): JSX.Element[];
    private get zeroHeight();
    private get lollipops();
    private get domains();
    private yAxis;
    private xAxis;
    private axisTicks;
    get svgWidth(): number;
    get svgHeight(): number;
    private calcStickBaseY;
    private makeDomainIndexClass;
    private makeLollipopIndexClass;
    private makeSequenceIndexClass;
    private getDomainIndex;
    private getLollipopIndex;
    private getSequenceIndex;
    toSVGDOMNode(): Element;
    render(): JSX.Element;
}
