import * as React from 'react';
import { Mutation, RemoteData } from 'cbioportal-utils';
import { EnsemblTranscript, VariantAnnotation } from 'genome-nexus-ts-api-client';
export declare type GeneSummaryProps = {
    hugoGeneSymbol: string;
    uniprotId?: string;
    transcriptSummaryUrlTemplate?: string;
    showDropDown: boolean;
    showOnlyAnnotatedTranscriptsInDropdown: boolean;
    compactStyle?: boolean;
    transcriptsByTranscriptId: {
        [transcriptId: string]: EnsemblTranscript;
    };
    activeTranscript?: string;
    canonicalTranscript: RemoteData<EnsemblTranscript | undefined>;
    transcriptsWithProteinLength: RemoteData<string[] | undefined>;
    transcriptsWithAnnotations: RemoteData<string[] | undefined>;
    indexedVariantAnnotations: RemoteData<{
        [genomicLocation: string]: VariantAnnotation;
    } | undefined>;
    mutationsByTranscriptId?: {
        [transcriptId: string]: Mutation[];
    };
    onTranscriptChange: (transcriptId: string) => void;
    loadingIndicator?: JSX.Element;
};
export default class GeneSummary extends React.Component<GeneSummaryProps, {}> {
    static defaultProps: Partial<GeneSummaryProps>;
    render(): JSX.Element;
}
