import * as React from 'react';
import { Mutation, RemoteData } from 'cbioportal-utils';
import { EnsemblTranscript, VariantAnnotation } from 'genome-nexus-ts-api-client';
export declare type TranscriptDropdownProps = {
    showDropDown: boolean;
    showOnlyAnnotatedTranscriptsInDropdown: boolean;
    activeTranscript?: string;
    transcriptsByTranscriptId: {
        [transcriptId: string]: EnsemblTranscript;
    };
    canonicalTranscript: RemoteData<EnsemblTranscript | undefined>;
    transcriptsWithProteinLength: RemoteData<string[] | undefined>;
    transcriptsWithAnnotations: RemoteData<string[] | undefined>;
    indexedVariantAnnotations: RemoteData<{
        [genomicLocation: string]: VariantAnnotation;
    } | undefined>;
    mutationsByTranscriptId?: {
        [transcriptId: string]: Mutation[];
    };
    onChange: (value: string) => void;
    loadingIndicator?: JSX.Element;
};
export default class TranscriptDropdown extends React.Component<TranscriptDropdownProps, {}> {
    render(): JSX.Element;
    private getDropdownTranscripts;
    private sortTranscripts;
    private loadingIndicator;
}
