import * as React from 'react';
import { Column } from 'react-table';
import { Cache, MobxCache, PostTranslationalModification } from 'cbioportal-utils';
export declare type PtmSummaryTableProps = {
    data: PostTranslationalModification[];
    pubMedCache?: MobxCache;
    initialSortColumn?: string;
    initialSortDirection?: 'asc' | 'desc';
    initialItemsPerPage?: number;
    columnOverrides?: {
        [id: string]: Partial<Column>;
    };
};
export declare enum PtmAnnotationTableColumnId {
    POSITION = "position",
    TYPE = "type",
    DESCRIPTION = "description",
    PUBMED_IDS = "pubmedIds"
}
export declare const PTM_ANNOTATION_DEFAULT_COLUMNS: {
    [id: string]: Column;
};
export default class PtmAnnotationTable extends React.Component<PtmSummaryTableProps> {
    constructor(props: any);
    static defaultProps: {
        data: never[];
        initialSortColumn: string;
        initialSortDirection: string;
        initialItemsPerPage: number;
    };
    get pmidData(): Cache;
    get columns(): Column[];
    get pubmedCellRender(): (props: {
        original: PostTranslationalModification;
    }) => JSX.Element | null;
    render(): JSX.Element;
}
