import * as React from 'react';
import MutationMapperStore from '../../model/MutationMapperStore';
import { TrackProps } from './Track';
import { TrackItemSpec } from './TrackItem';
import { Mutation } from 'cbioportal-utils';
import { EnsemblTranscript } from 'genome-nexus-ts-api-client';
declare type ExonTrackProps = TrackProps & {
    store: MutationMapperStore<Mutation>;
};
export default class ExonTrack extends React.Component<ExonTrackProps, {}> {
    constructor(props: any);
    get transcriptId(): string | undefined;
    get transcript(): EnsemblTranscript | undefined;
    get chromosome(): string;
    get genomeBuild(): string;
    get exonSpecs(): TrackItemSpec[];
    get trackTitle(): JSX.Element;
    render(): JSX.Element;
}
export {};
