import * as React from 'react';
import { Column } from 'react-table';
import { MobxCache, Mutation, PostTranslationalModification } from 'cbioportal-utils';
import MutationMapperStore from '../../model/MutationMapperStore';
import { TrackProps } from './Track';
import { TrackItemSpec } from './TrackItem';
declare type PtmTrackProps = TrackProps & {
    store: MutationMapperStore<Mutation>;
    pubMedCache?: MobxCache;
    ensemblTranscriptId?: string;
    subTrackMargin?: number;
    dataSource?: string;
    dataSourceUrl?: string;
    ptmTooltipColumnOverrides?: {
        [id: string]: Partial<Column>;
    };
    collapsed?: boolean;
};
export declare const PtmTooltip: React.FunctionComponent<{
    ptms: PostTranslationalModification[];
    pubMedCache?: MobxCache;
    columnOverrides?: {
        [id: string]: Partial<Column>;
    };
}>;
export declare function ptmInfoTooltip(transcriptId?: string, dataSource?: string, dataSourceUrl?: string): JSX.Element;
export default class PtmTrack extends React.Component<PtmTrackProps, {}> {
    constructor(props: any);
    static defaultProps: {
        subTrackMargin: number;
    };
    private expanded;
    get ptmSpecs(): TrackItemSpec[];
    get ptmSubSpecs(): {
        title: string;
        specs: TrackItemSpec[];
    }[];
    get mainTrackTitle(): JSX.Element;
    get expander(): JSX.Element | null;
    get subTrackMargin(): number;
    get subTrackTitleWidth(): number;
    get subTracks(): JSX.Element[] | null;
    get mainTrackHidden(): boolean;
    get hasSubTracks(): boolean;
    render(): JSX.Element;
    private ptmDataToTrackItemSpecsReducer;
    private handleToggleExpand;
}
export {};
