import * as React from 'react';
import { MobxCache, Mutation } from 'cbioportal-utils';
import MutationMapperStore from '../../model/MutationMapperStore';
import { TrackName, TrackVisibility } from './TrackSelector';
import './defaultTrackTooltipTable.scss';
declare type TrackPanelProps = {
    store: MutationMapperStore<Mutation>;
    pubMedCache?: MobxCache;
    geneWidth: number;
    proteinLength?: number;
    geneXOffset?: number;
    maxHeight?: number;
    trackVisibility?: TrackVisibility;
    tracks?: TrackName[];
    collapsePtmTrack?: boolean;
    collapseUniprotTopologyTrack?: boolean;
};
export default class TrackPanel extends React.Component<TrackPanelProps, {}> {
    static defaultProps: Partial<TrackPanelProps>;
    constructor(props: TrackPanelProps);
    get proteinLength(): number;
    get availableTracks(): {
        [trackName: string]: JSX.Element | null;
    };
    render(): JSX.Element;
    private getPtmTrack;
    private getPtmTooltipColumnOverrides;
}
export {};
