import * as React from 'react';
import { Option } from 'cbioportal-frontend-commons';
export declare type TrackVisibility = {
    [trackName: string]: 'visible' | 'hidden';
};
export declare type TrackDataStatus = {
    [trackName: string]: 'pending' | 'error' | 'complete' | 'empty';
};
export declare enum TrackName {
    PDB = "PDB",
    CancerHotspots = "CANCER_HOTSPOTS",
    OncoKB = "ONCO_KB",
    dbPTM = "DB_PTM",
    UniprotPTM = "UNIPROT_PTM",
    Exon = "EXON",
    UniprotTopology = "UNIPROT_TOPOLOGY"
}
declare type TrackSelectorProps = {
    tracks?: TrackName[];
    trackVisibility: TrackVisibility;
    trackDataStatus?: TrackDataStatus;
    onChange: (selectedTrackIds: string[]) => void;
    name?: string;
    placeholder?: string;
};
export default class TrackSelector extends React.Component<TrackSelectorProps, {}> {
    constructor(props: any);
    static defaultProps: Partial<TrackSelectorProps>;
    private onChange;
    get selectedValues(): {
        value: string;
    }[];
    get availableOptions(): {
        CANCER_HOTSPOTS: {
            label: JSX.Element;
            value: TrackName;
        };
        ONCO_KB: {
            label: JSX.Element;
            value: TrackName;
        };
        DB_PTM: {
            label: JSX.Element;
            value: TrackName;
        };
        UNIPROT_PTM: {
            label: JSX.Element;
            value: TrackName;
        };
        PDB: {
            label: JSX.Element;
            value: TrackName;
            disabled: boolean | undefined;
        };
        EXON: {
            label: JSX.Element;
            value: TrackName;
        };
        UNIPROT_TOPOLOGY: {
            label: JSX.Element;
            value: TrackName;
        };
    };
    get options(): Option[];
    private isPending;
    private isDisabled;
    private loaderIcon;
    render(): JSX.Element;
}
export {};
