import * as React from 'react';
import { TrackProps } from './Track';
import { TrackItemSpec } from './TrackItem';
import { MutationMapperStore } from '../../model/MutationMapperStore';
import { Mutation } from 'cbioportal-utils';
declare type UniprotTopologyTrackProps = TrackProps & {
    store: MutationMapperStore<Mutation>;
    subTrackMargin?: number;
    collapsed?: boolean;
};
export declare const UniprotTopologyTrackDescriptionTooltip: React.FunctionComponent<{
    displayList: string[];
    uniprotId?: string;
}>;
export default class UniprotTopologyTrack extends React.Component<UniprotTopologyTrackProps, {}> {
    constructor(props: any);
    static defaultProps: {
        subTrackMargin: number;
    };
    private expanded;
    get subTrackMargin(): number;
    get subTrackTitleWidth(): number;
    get uniprotTopologySpecs(): TrackItemSpec[];
    get expander(): JSX.Element | null;
    get mainTrackTitle(): JSX.Element;
    get uniprotTopologyTypes(): string[];
    get uniprotTopologySubSpecs(): {
        title: string;
        specs: TrackItemSpec[];
    }[];
    private uniprotDataToTrackItemSpecsReducer;
    get mainTrackHidden(): boolean;
    get hasSubTracks(): boolean;
    get subTracks(): JSX.Element[] | null;
    render(): JSX.Element;
    private handleToggleExpand;
}
export {};
