import _ from 'lodash';
import { Mutation } from 'cbioportal-utils';
import { DataFilter } from '../model/DataFilter';
import DataStore from '../model/DataStore';
import { FilterApplier } from '../model/FilterApplier';
declare type GroupedData = Array<{
    group: string;
    data: Array<Mutation | Mutation[]>;
}>;
export declare class DefaultMutationMapperDataStore implements DataStore {
    dataFilters: DataFilter[];
    selectionFilters: DataFilter[];
    highlightFilters: DataFilter[];
    groupFilters: {
        group: string;
        filter: DataFilter;
    }[];
    private data;
    protected customFilterApplier: FilterApplier | undefined;
    constructor(data: Array<Mutation | Mutation[]>, customFilterApplier?: FilterApplier, dataFilters?: DataFilter[], selectionFilters?: DataFilter[], highlightFilters?: DataFilter[], groupFilters?: {
        group: string;
        filter: DataFilter;
    }[]);
    get groupFiltersKeyedByGroup(): _.Dictionary<{
        group: string;
        filter: DataFilter<any>;
    }>;
    get allData(): (Mutation | Mutation[])[];
    get filteredData(): (Mutation | Mutation[])[];
    get sortedFilteredData(): (Mutation | Mutation[])[];
    get sortedFilteredGroupedData(): GroupedData;
    get sortedFilteredSelectedData(): (Mutation | Mutation[])[];
    get selectedPositions(): {
        [position: string]: {
            position: number;
        };
    };
    get highlightedPositions(): {
        [position: string]: {
            position: number;
        };
    };
    clearHighlightFilters(): void;
    clearSelectionFilters(): void;
    clearDataFilters(): void;
    setDataFilters(filters: DataFilter[]): void;
    setHighlightFilters(filters: DataFilter[]): void;
    setSelectionFilters(filters: DataFilter[]): void;
    setGroupFilters(filters: {
        group: string;
        filter: DataFilter;
    }[]): void;
    isPositionSelected(position: number): boolean;
    isPositionHighlighted(position: number): boolean;
    dataMainFilter(mutation: Mutation): boolean;
    dataSelectFilter(mutation: Mutation): boolean;
    dataHighlightFilter(mutation: Mutation): boolean;
    applyFilter(filter: DataFilter, mutation: Mutation): boolean;
}
export default DefaultMutationMapperDataStore;
