import { MobxPromise } from 'cbioportal-frontend-commons';
import { IHotspotIndex, IOncoKbData, Mutation } from 'cbioportal-utils';
import { HotspotFilter } from '../filter/HotspotFilter';
import { MutationFilter } from '../filter/MutationFilter';
import { MutationStatusFilter } from '../filter/MutationStatusFilter';
import { OncoKbFilter } from '../filter/OncoKbFilter';
import { PositionFilter } from '../filter/PositionFilter';
import { ProteinImpactTypeFilter } from '../filter/ProteinImpactTypeFilter';
import { DataFilter } from '../model/DataFilter';
import { ApplyFilterFn, FilterApplier } from '../model/FilterApplier';
import { ProteinChangeFilter } from '../filter/ProteinChangeFilter';
export declare class DefaultMutationMapperFilterApplier implements FilterApplier {
    protected indexedHotspotData: MobxPromise<IHotspotIndex | undefined>;
    protected oncoKbData: MobxPromise<IOncoKbData | Error>;
    protected getDefaultTumorType: (mutation: Mutation) => string;
    protected getDefaultEntrezGeneId: (mutation: Mutation) => number;
    protected filterAppliersOverride?: {
        [filterType: string]: ApplyFilterFn;
    } | undefined;
    protected get customFilterAppliers(): {
        [filterType: string]: ApplyFilterFn;
    };
    constructor(indexedHotspotData: MobxPromise<IHotspotIndex | undefined>, oncoKbData: MobxPromise<IOncoKbData | Error>, getDefaultTumorType: (mutation: Mutation) => string, getDefaultEntrezGeneId: (mutation: Mutation) => number, filterAppliersOverride?: {
        [filterType: string]: ApplyFilterFn;
    } | undefined);
    applyFilter(filter: DataFilter, mutation: Mutation): boolean;
    protected applyMutationFilter(filter: MutationFilter, mutation: Mutation): boolean;
    protected applyOncoKbFilter(filter: OncoKbFilter, mutation: Mutation): boolean;
    protected applyHostpotFilter(filter: HotspotFilter, mutation: Mutation): boolean;
    protected applyPositionFilter(filter: PositionFilter, mutation: Mutation): boolean;
    protected applyProteinImpactTypeFilter(filter: ProteinImpactTypeFilter, mutation: Mutation): boolean;
    protected applyMutationStatusFilter(filter: MutationStatusFilter, mutation: Mutation): boolean;
    protected applyProteinChangeFilter(filter: ProteinChangeFilter, mutation: Mutation): boolean;
}
export default DefaultMutationMapperFilterApplier;
