import { IOncoKbData, Mutation } from 'cbioportal-utils';
import { GenomeNexusAPI, GenomeNexusAPIInternal } from 'genome-nexus-ts-api-client';
import { OncoKbAPI, OncoKBInfo } from 'oncokb-ts-api-client';
export declare const DEFAULT_MUTATION_ALIGNER_URL_TEMPLATE = "http://mutationaligner.org/api/domains/<%= pfamDomainId %>?metadata=true";
export declare const DEFAULT_MUTATION_ALIGNER_PROXY_URL_TEMPLATE = "https://www.cbioportal.org/proxy/mutationaligner.org/api/domains/<%= pfamDomainId %>?metadata=true";
export declare const DEFAULT_MY_GENE_URL_TEMPLATE = "https://mygene.info/v3/gene/<%= entrezGeneId %>?fields=uniprot";
export declare const DEFAULT_UNIPROT_ID_URL_TEMPLATE = "https://rest.uniprot.org/uniprotkb/search?query=accession:<%= swissProtAccession %>&format=tsv&fields=id";
export declare const DEFAULT_GENOME_NEXUS_URL = "https://www.genomenexus.org/";
export declare const DEFAULT_ONCO_KB_URL = "https://legacy.oncokb.org/";
export declare const ONCOKB_DEFAULT_DATA: IOncoKbData;
export declare const USE_DEFAULT_PUBLIC_INSTANCE_FOR_ONCOKB = false;
export declare const ONCOKB_DEFAULT_INFO: OncoKBInfo;
export declare function getUrl(urlTemplate: string, templateVariables: any): string;
export declare function fetchVariantAnnotationsByMutation(mutations: Partial<Mutation>[], fields?: string[], isoformOverrideSource?: string, client?: Partial<GenomeNexusAPI>): Promise<import("genome-nexus-ts-api-client").VariantAnnotation[]>;
export declare function fetchVariantAnnotationsIndexedByGenomicLocation(mutations: Partial<Mutation>[], fields?: string[], isoformOverrideSource?: string, client?: Partial<GenomeNexusAPI>): Promise<{
    [genomicLocation: string]: import("genome-nexus-ts-api-client").VariantAnnotation;
}>;
export declare function initGenomeNexusClient(genomeNexusUrl?: string, cachePostMethods?: boolean, apiCacheLimit?: number): GenomeNexusAPI;
export declare function initGenomeNexusInternalClient(genomeNexusUrl?: string, cachePostMethods?: boolean, apiCacheLimit?: number): GenomeNexusAPIInternal;
export declare function initOncoKbClient(oncoKbUrl?: string, cachePostMethods?: boolean, apiCacheLimit?: number): OncoKbAPI;
