import { Mutation } from 'cbioportal-utils';
import _ from 'lodash';
import { MutationFilter } from '../filter/MutationFilter';
import { MutationStatusFilter } from '../filter/MutationStatusFilter';
import { PositionFilter } from '../filter/PositionFilter';
import { ProteinImpactTypeFilter } from '../filter/ProteinImpactTypeFilter';
import { NumericalFilterValue } from '../filter/NumericalFilter';
import { CategoricalFilterValue } from '../filter/CategoricalFilter';
import DataStore from '../model/DataStore';
import { DataFilter } from '../model/DataFilter';
import { ApplyFilterFn } from '../model/FilterApplier';
import { ProteinChangeFilter } from '../filter/ProteinChangeFilter';
export declare const TEXT_INPUT_FILTER_ID = "_mutationTableTextInputFilter_";
export declare function updatePositionSelectionFilters(dataStore: DataStore, position: number, isMultiSelect?: boolean, defaultFilters?: DataFilter[]): void;
export declare function updatePositionHighlightFilters(dataStore: DataStore, positions: number[], defaultFilters?: DataFilter[]): void;
export declare function updatePositionRangeHighlightFilters(dataStore: DataStore, startPosition: number, endPosition: number, defaultFilters?: DataFilter[]): void;
export declare function findAllUniquePositions(filters: DataFilter[]): number[];
export declare function indexPositions(filters: DataFilter[]): {
    [position: string]: {
        position: number;
    };
};
export declare function includesSearchTextIgnoreCase(value?: string, searchText?: string): boolean | "" | undefined;
export declare function findTextInputFilter(dataFilters: DataFilter[]): DataFilter<any> | undefined;
export declare function findNonTextInputFilters(dataFilters: DataFilter[]): DataFilter<any>[];
export declare function findOneMutationFilterValue(filter: MutationFilter): string | undefined;
export declare function applyDefaultPositionFilter(filter: PositionFilter, mutation: Mutation): boolean;
export declare function applyDefaultProteinImpactTypeFilter(filter: ProteinImpactTypeFilter, mutation: Mutation): boolean;
export declare function applyDefaultProteinChangeFilter(filter: ProteinChangeFilter, mutation: Mutation): boolean;
export declare function applyDefaultMutationStatusFilter(filter: MutationStatusFilter, mutation: Mutation): boolean;
export declare function applyDefaultMutationFilter(filter: MutationFilter, mutation: Mutation): boolean;
export declare function groupDataByGroupFilters(groupFilters: {
    group: string;
    filter: DataFilter;
}[], sortedFilteredData: any[], applyFilter: ApplyFilterFn): {
    group: string;
    data: any[];
}[];
export declare function groupDataByProteinImpactType(sortedFilteredData: any[]): _.Dictionary<{
    group: string;
    data: any[];
}>;
export declare function onFilterOptionSelect(selectedValues: string[] | NumericalFilterValue[] | CategoricalFilterValue[], allValuesSelected: boolean, dataStore: DataStore, dataFilterType: string, dataFilterId: string): void;
export declare function applyDataFiltersOnDatum(datum: any, dataFilters: DataFilter[], applyFilter: ApplyFilterFn): boolean;
export declare function applyDataFilters(data: any[], dataFilters: DataFilter[], applyFilter: ApplyFilterFn): any[];
