import { Gnomad, MyVariantInfo, VariantAnnotation } from 'genome-nexus-ts-api-client';
import { GnomadSummary } from '../model/GnomadSummary';
export declare enum GnomadTableColumnName {
    population = "population",
    alleleCount = "ac",
    alleleNumber = "an",
    homozygotes = "hom",
    alleleFrequency = "af"
}
export declare function calculateGnomadAlleleFrequency(count: number | null, totalNumber: number | null, frequency: number | null): number;
export declare function calculateGnomadTableNumber(gnomadExome?: number | null, gnomadGenome?: number | null): number;
export declare function getGnomadUrl(annotation?: VariantAnnotation, myVariantInfo?: MyVariantInfo): string;
export declare function getGnomadDataSortedByFrequency(myVariantInfo?: MyVariantInfo): GnomadSummary[] | undefined;
export declare function sortGnomadDataByFrequency(gnomadData: {
    [key: string]: GnomadSummary;
}): GnomadSummary[];
export declare function setGnomadTableData(key: string, data: Gnomad, result: {
    [key: string]: GnomadSummary;
}): void;
export declare function getGnomadData(myVariantInfo?: MyVariantInfo): {
    [key: string]: GnomadSummary;
} | undefined;
export declare function generateGnomadUrl(chromosome: string | null, position: string | null, reference: string | null, variant: string | null): string;
